summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/run.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/run.sh b/tests/run.sh
index 5c33f73..4cc5f82 100755
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -4,8 +4,9 @@ FAILURE=0
for i in out/*.out; do
./$i
- if [[ $? -ne 69 ]]; then
- echo "[FAILED] $i"
+ EXC=$?
+ if [[ $EXC -ne 69 ]]; then
+ echo "[FAILED] (Code $EXC) $i"
FAILURE=1
else
echo "[ OK ] $i"